=== debian/control ===
Source: ros-melodic-async-web-server-cpp
Section: misc
Priority: optional
Maintainer: Timo Röhling <timo.roehling@fkie.fraunhofer.de>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, libssl-dev, python-websocket, ros-melodic-catkin, ros-melodic-roslib, ros-melodic-rospy, ros-melodic-rostest
Homepage: http://ros.org/wiki/async_web_server_cpp
Standards-Version: 3.9.2

Package: ros-melodic-async-web-server-cpp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev
Description: Asynchronous Web/WebSocket Server in C++
